LibOFX

OfxAccountData Struct Reference

An abstraction of an account. More...

## OFX mandatory elements
The OFX spec defines the following elements as mandatory. The associated variables should all contain valid data but you should not trust the servers. Check if the associated *_valid is true before using them.
enum | AccountType { OFX_CHECKING, OFX_SAVINGS, OFX_MONEYMRKT, OFX_CREDITLINE, OFX_CMA, OFX_CREDITCARD, OFX_INVESTMENT }
char | account_id [OFX_ACCOUNT_ID_LENGTH]
char | account_name [OFX_ACCOUNT_NAME_LENGTH]
int | account_id_valid
enum OfxAccountData::AccountType | account_type
int | account_type_valid
char | currency [OFX_CURRENCY_LENGTH]
int | currency_valid
char | account_number [OFX_ACCTID_LENGTH]
int | account_number_valid
char | bank_id [OFX_BANKID_LENGTH]
int | bank_id_valid
char | broker_id [OFX_BROKERID_LENGTH]
int | broker_id_valid
char | branch_id [OFX_BRANCHID_LENGTH]
int | branch_id_valid

## Detailed Description

An abstraction of an account.

The OfxAccountData structure gives information about a specific account, including it's type, currency and unique id.

When an OfxAccountData must be passed to functions which create OFX requests related to a specific account, it must contain all the info needed for an OFX request to identify an account. That is: account_type, account_number, bank_id and branch_id

Definition at line 271 of file libofx.h.

## Member Enumeration Documentation

## ◆ AccountType

enum OfxAccountData::AccountType

account_type tells you what kind of account this is. See the AccountType enum

Enumerator
OFX_CHECKING | A standard checking account
OFX_SAVINGS | A standard savings account
OFX_MONEYMRKT | A money market account
OFX_CREDITLINE | A line of credit
OFX_CMA | Cash Management Account
OFX_CREDITCARD | A credit card account
OFX_INVESTMENT | An investment account

Definition at line 297 of file libofx.h.

## Field Documentation

## ◆ account_id

char OfxAccountData::account_id[OFX_ACCOUNT_ID_LENGTH]

The account_id is actually built from <BANKID><BRANCHID><ACCTID> for a bank account, and <ACCTID><ACCTKEY> for a credit card account. account_id is meant to be computer-readable. It is a worldwide OFX unique identifier wich can be used for account matching, even in system with multiple users.

Definition at line 285 of file libofx.h.

## ◆ account_name

char OfxAccountData::account_name[OFX_ACCOUNT_NAME_LENGTH]

The account_id_name is a string meant to allow the user to identify the account. Currently it is <ACCTID> for a bank account and a credit card account an <BROKERID>:<ACCTID> for investment accounts. account_id_name is not meant to be computer-readable and is not garanteed to be unique.

Definition at line 292 of file libofx.h.

## ◆ account_number

char OfxAccountData::account_number[OFX_ACCTID_LENGTH]

Corresponds to OFX <ACCTID>

Definition at line 314 of file libofx.h.

## ◆ bank_id

char OfxAccountData::bank_id[OFX_BANKID_LENGTH]

Corresponds to OFX <BANKID>

Definition at line 318 of file libofx.h.

## ◆ currency

char OfxAccountData::currency[OFX_CURRENCY_LENGTH]

The currency is a string in ISO-4217 format

Definition at line 310 of file libofx.h.

The documentation for this struct was generated from the following file:

- libofx.h